MrmRegisterClass(3Xm)

NAME
MrmRegisterClass - Saves the information needed for MRM to access the widget creation function for user-defined widgets.

SYNOPSIS
#include <Xm/Intrinsics>
#include <Mrm/MrmPublic.h>
Cardinal MrmRegisterClass(class_code, class_name, create_name, create_proc, class_record)
MrmType class_code;
String class_name;
String create_name;
Widget (* create_proc) ();
WidgetClass class_record;

DESCRIPTION
The MrmRegisterClass function allows MRM to access user-defined widget classes. This function registers the necessary information for MRM to create widgets of this class. You must call MrmRegisterClass prior to fetching any user-defined class widget.

MrmRegisterClass saves the information needed to access the widget creation function and to do type conversion of argument lists by using the information in MRM databases.

class_code
    Specifies the code name of the class. For all application-defined widgets, this code name is MRMwcUnknown. For all Motif Toolkit widgets, each code name begins with the letters MRMwc. The code names for all application widgets are defined in Mrm.h.

class_name
    Specifies the case-sensitive name of the class. The class names for all Motif Toolkit widgets are defined in Mrm.h. Each class name begins with the letters MRMwcn.

create_name
    Specifies the case-sensitive name of the low-level widget creation function for the class. An example from the Motif Toolkit is XmCreateLabel. Arguments are parent_widget, name, override_arglist, and override_argcount.

    For user-defined widgets, create_name is the creation procedure in the uil that defines this widget.

create_proc
    Specifies the address of the creation function that you named in create_name.

class_record
    Specifies a pointer to the class record.

RETURN VALUE
This function returns one of these status return constants:

MrmSUCCESS
    The function executed successfully.

MrmFAILURE
    The allocation of the class descriptor failed.